%define shortname textile

Name:           python-%{shortname}
Version:        2.3.6
Release:        %mkrel 1
Summary:        A Humane Web Text Generator
Group:          Development/Python
License:        BSD
URL:            http://pypi.python.org/pypi/%{shortname}/
Source0:        https://pypi.io/packages/source/t/%{shortname}/%{shortname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(pytest) >= 2.9

%description
Textile is a XHTML generator using a simple markup developed by Dean Allen.
This is a Python port with support for code validation, itex to MathML
translation, Python code coloring and much more.

%package -n     python3-%{shortname}
Summary:        A Humane Web Text Generator
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(pytest) >= 2.9

%description -n python3-%{shortname}
Textile is a XHTML generator using a simple markup developed by Dean Allen.
This is a Python port with support for code validation, itex to MathML
translation, Python code coloring and much more.

This is a version for Python 3.

%prep
%setup -q -n %{shortname}-%{version}

# Remove bundled egg-info
rm -rf %{shortname}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/pytextile %{buildroot}%{_bindir}/python3-pytextile
popd

%py2_install
 
%files
%{_bindir}/pytextile
%{python2_sitelib}/%{shortname}/
%{python2_sitelib}/%{shortname}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{shortname}
%{_bindir}/python3-pytextile
%{python3_sitelib}/%{shortname}/
%{python3_sitelib}/%{shortname}-%{version}-py%{python3_version}.egg-info/


%changelog
* Mon Nov 28 2016 daviddavid <daviddavid> 2.3.6-1.mga6
+ Revision: 1070571
- new version: 2.3.6
- add BR python-pytest and python3-pytest

* Thu May 26 2016 daviddavid <daviddavid> 2.3.2-1.mga6
+ Revision: 1018822
- new version: 2.3.2

* Wed May 11 2016 daviddavid <daviddavid> 2.3.1-1.mga6
+ Revision: 1012699
- new version: 2.3.1
- update Source URL

* Fri Feb 19 2016 umeabot <umeabot> 2.2.2-2.mga6
+ Revision: 970733
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 2.2.2-1.mga6
+ Revision: 888131
- new version: 2.2.2
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 2.1.8-4.mga5
+ Revision: 739876
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.8-3.mga5
+ Revision: 729882
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.8-2.mga5
+ Revision: 688380
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 grenoya <grenoya> 2.1.8-1.mga5
+ Revision: 665201
- new version 2.1.8
- add build for python3

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.1.5-4.mga4
+ Revision: 544322
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.1.5-3.mga4
+ Revision: 499559
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 2.1.5-2.mga3
+ Revision: 379562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 08 2012 grenoya <grenoya> 2.1.5-1.mga3
+ Revision: 279967
- fix url
- make the package noarch
- imported package python-textile

